Issue 1643 optimize --upgrade should do a pass of optimize after the upgrade

Title optimize --upgrade should do a pass of optimize after the upgrade
Priority feature Status resolved
Milestone Resolved in
Superseder Nosy List christian.berrer, darcs-devel, dmitry.kurochkin, gh, jaredj, kowey
Assigned To
Topics Hashed, ProbablyEasy

Created on 2009-10-08.20:57:29 by gh, last changed 2010-03-15.11:00:57 by christian.berrer.

msg8932 (view) Author: gh Date: 2009-10-08.20:57:22
Using the darcs version containing Eric's fix for issue1584, I did a "darcs
optimize --upgrade" on ghc's repository. The size of the repo went from 180 MB
to 500 MB. Running "darcs optimize" reduced the size to 180 MB again. MAybe this
should be done automatically ?
msg8936 (view) Author: kowey Date: 2009-10-09.06:30:11
Sounds like one for the sprint if we don't get to it earlier.
msg9905 (view) Author: kowey Date: 2010-01-26.16:24:34
Looks like this one was fixed during the Vienna sprint.  Grr, this ought
to have been picked up by the auto-resolver running on my staging repo.

Sun Nov 15 12:37:16 GMT 2009  Christian Berrer <christian.berrer@gmx.at>
  * resolve issue1643: optimize --upgrade should do optimize
msg10217 (view) Author: christian.berrer Date: 2010-03-15.11:00:50
The following patch updated the status of issue1643 to be resolved:

* resolve issue1643: optimize --upgrade should do optimize 
Ignore-this: f437be2563974f9dad8576482797d23b
Date User Action Args
2009-10-08 20:57:29ghcreate
2009-10-09 06:30:19koweysetpriority: feature
status: unknown -> needs-implementation
topic: + Target-2.4
messages: + msg8936
nosy: + kowey
2009-11-15 16:59:21tux_rockersettopic: - Target-2.4
2010-01-26 16:24:40koweysetstatus: needs-implementation -> resolved
messages: + msg9905
2010-03-15 11:00:57christian.berrersetnosy: + christian.berrer
messages: + msg10217